Bug 230169 - biology/bcftools: Update 1.9
Summary: biology/bcftools: Update 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-29 23:18 UTC by Nathan
Modified: 2018-08-02 19:32 UTC (History)
3 users (show)

See Also:
cartwright: maintainer-feedback+


Attachments
Update (3.06 KB, patch)
2018-07-29 23:18 UTC, Nathan
no flags Details | Diff
patch for biology/bcftools (5.39 KB, patch)
2018-07-31 21:02 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 23:18:21 UTC
Created attachment 195614 [details]
Update

Release Notes:

    annotate

        REF and ALT columns can be now transferred from the annotation file.

        fixed bug when setting vector_end values.

    consensus

        new -M option to control output at missing genotypes

        variants immediately following insersions should not be skipped. Note however, that the current fix requires normalized VCF and may still falsely skip variants adjacent to multiallelic indels.

        bug fixed in -H selection handling

    convert

        the --tsv2vcf option now makes the missing genotypes diploid, "./." instead of "."

        the behavior of -i/-e with --gvcf2vcf changed. Previously only sites with FILTER set to "PASS" or "." were expanded and the -i/-e options dropped sites completely. The new behavior is to let the -i/-e options control which records will be expanded. In order to drop records completely, one can stream through "bcftools view" first.

    csq

        since the real consequence of start/splice events are not known, the aminoacid positions at subsequent variants should stay unchanged

        add --force option to skip malformatted transcripts in GFFs with out-of-phase CDS exons.

    +dosage: output all alleles and all their dosages at multiallelic sites

    +fixref: fix serious bug in -m top conversion

    -i/-e filtering expressions:

        add two-tailed binomial test

        add functions N_PASS() and F_PASS()

        add support for lists of samples in filtering expressions, with many samples it was impractical to list them all on the command line. Samples can be now in a file as, e.g., GT[@samples.txt]="het"

        allow multiple perl functions in the expressions and some bug fixes

        fix a parsing problem, @ was not removed from @filename expressions

    mpileup: fixed bug where, if samples were renamed using the -G (--read-groups) option, some samples could be omitted from the output file.

    norm: update INFO/END when normalizing indels

    +split: new -S option to subset samples and to use custom file names instead of the defaults

    +smpl-stats: new plugin

    +trio-stats: new plugin

    Fixed build problems with non-functional configure script produced on some platforms
Comment 1 Fernando Apesteguía freebsd_committer 2018-07-30 15:54:33 UTC
Hi Nathan,

Thanks for the patch. Unfortunately, files/patch-Makefile fails to apply.

Would you have a look at it?

Thanks.
Comment 2 Nathan 2018-07-30 16:08:39 UTC
(In reply to Fernando Apesteguía from comment #1)
> Hi Nathan,
> 
> Thanks for the patch. Unfortunately, files/patch-Makefile fails to apply.
> 
> Would you have a look at it?
> 
> Thanks.

I will when I get home on pc. Possibly updated ports and it restored the unneeded patch
Comment 3 Nathan 2018-07-30 16:16:32 UTC
(In reply to Fernando Apesteguía from comment #1)
> Hi Nathan,
> 
> Thanks for the patch. Unfortunately, files/patch-Makefile fails to apply.
> 
> Would you have a look at it?
> 
> Thanks.

Should work now. I can’t currentlu attack it to bug report as I’m on my phone but I pastebin it https://pastebin.com/RG1zCjL5
Comment 4 Fernando Apesteguía freebsd_committer 2018-07-30 21:50:41 UTC
(In reply to Nathan from comment #3)
I'll test build tomorrow.

Thanks!
Comment 5 Fernando Apesteguía freebsd_committer 2018-07-31 17:56:20 UTC
Sorry, but the patch in pastebin doesn't touch patch-Makefile and it still fails to apply :-(
Comment 6 Nathan 2018-07-31 18:31:05 UTC
(In reply to Fernando Apesteguía from comment #5)
> Sorry, but the patch in pastebin doesn't touch patch-Makefile and it still
> fails to apply :-(

Sigh ok. Will relook at it when I get on my PC
Comment 7 Fernando Apesteguía freebsd_committer 2018-07-31 21:02:17 UTC
Created attachment 195701 [details]
patch for biology/bcftools

New patch to update the port to 1.9
Comment 8 Fernando Apesteguía freebsd_committer 2018-07-31 21:03:20 UTC
I updated a new patch.

It builds in {10.4,11.1}{amd64,i386}, 11.2 amd64 and 12-CURRENT.

Does it look good?
Comment 9 Nathan 2018-07-31 21:31:01 UTC
(In reply to Fernando Apesteguía from comment #8)
> I updated a new patch.
> 
> It builds in {10.4,11.1}{amd64,i386}, 11.2 amd64 and 12-CURRENT.
> 
> Does it look good?

Looks good to me
Comment 10 Fernando Apesteguía freebsd_committer 2018-08-01 20:42:55 UTC
I created a review with the refined patch:

https://reviews.freebsd.org/D16543

But this PR is actually assigned to wen@ and I dont' want to step into his shoes, so I leave this to him :-)
Comment 11 Wen Heping freebsd_committer 2018-08-01 23:10:15 UTC
(In reply to Fernando Apesteguía from comment #10)
Now it is yours :)

wen
Comment 12 cartwright 2018-08-01 23:12:17 UTC
Comment on attachment 195701 [details]
patch for biology/bcftools

Approved
Comment 13 commit-hook freebsd_committer 2018-08-02 19:31:22 UTC
A commit references this bug:

Author: fernape
Date: Thu Aug  2 19:30:58 UTC 2018
New revision: 476247
URL: https://svnweb.freebsd.org/changeset/ports/476247

Log:
  biology/bcftools: update to 1.9

  While here:

  * Update LICENSE handling
  * Move all commands to bin/

  PR:	230169
  Submitted by:	ndowens.fbsd@yandex.com
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16543

Changes:
  head/biology/bcftools/Makefile
  head/biology/bcftools/distinfo
  head/biology/bcftools/files/patch-Makefile
  head/biology/bcftools/files/patch-configure.ac
  head/biology/bcftools/pkg-plist
Comment 14 Fernando Apesteguía freebsd_committer 2018-08-02 19:32:34 UTC
Committed,

Thanks!